com.impinj.stp

## Enum StpApi.OperationEventType

- java.lang.Object
- - java.lang.Enum<StpApi.OperationEventType>
  - - com.impinj.stp.StpApi.OperationEventType

- All Implemented Interfaces:
    com.google.protobuf.Internal.EnumLite, com.google.protobuf.ProtocolMessageEnum, java.io.Serializable, java.lang.Comparable<StpApi.OperationEventType>
  Enclosing class:
    StpApi

      public static enum StpApi.OperationEventType
      extends java.lang.Enum<StpApi.OperationEventType>
      implements com.google.protobuf.ProtocolMessageEnum

  Protobuf enum `Impinj.STP.OperationEventType` **NOT YET SUPPORTED**

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `OPERATION_EVENT_TYPE_COMPLETE` An event for the end of the operation, and when no more reports will be delivered.
    `OPERATION_EVENT_TYPE_START_TRIGGER`
    `OPERATION_EVENT_TYPE_STOP_TRIGGER`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `OPERATION_EVENT_TYPE_COMPLETE_VALUE` An event for the end of the operation, and when no more reports will be delivered.
    `static int` | `OPERATION_EVENT_TYPE_START_TRIGGER_VALUE`
    `static int` | `OPERATION_EVENT_TYPE_STOP_TRIGGER_VALUE`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static com.google.protobuf.Descriptors.EnumDescriptor` | `getDescriptor()`
    `com.google.protobuf.Descriptors.EnumDescriptor` | `getDescriptorForType()`
    `int` | `getNumber()`
    `com.google.protobuf.Descriptors.EnumValueDescriptor` | `getValueDescriptor()`
    `static com.google.protobuf.Internal.EnumLiteMap<StpApi.OperationEventType>` | `internalGetValueMap()`
    `static StpApi.OperationEventType` | `valueOf(com.google.protobuf.Descriptors.EnumValueDescriptor desc)`
    `static StpApi.OperationEventType` | `valueOf(int value)`
    `static StpApi.OperationEventType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static StpApi.OperationEventType[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### OPERATION_EVENT_TYPE_START_TRIGGER

          public static final StpApi.OperationEventType OPERATION_EVENT_TYPE_START_TRIGGER

    - #### OPERATION_EVENT_TYPE_STOP_TRIGGER

          public static final StpApi.OperationEventType OPERATION_EVENT_TYPE_STOP_TRIGGER

    - #### OPERATION_EVENT_TYPE_COMPLETE

          public static final StpApi.OperationEventType OPERATION_EVENT_TYPE_COMPLETE

      An event for the end of the operation, and when no more reports will be delivered.

  - ### Field Detail

    - #### OPERATION_EVENT_TYPE_START_TRIGGER_VALUE

          public static final int OPERATION_EVENT_TYPE_START_TRIGGER_VALUE

      See Also:
        Constant Field Values

    - #### OPERATION_EVENT_TYPE_STOP_TRIGGER_VALUE

          public static final int OPERATION_EVENT_TYPE_STOP_TRIGGER_VALUE

      See Also:
        Constant Field Values

    - #### OPERATION_EVENT_TYPE_COMPLETE_VALUE

          public static final int OPERATION_EVENT_TYPE_COMPLETE_VALUE

      An event for the end of the operation, and when no more reports will be delivered.
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### values

          public static StpApi.OperationEventType[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (StpApi.OperationEventType c : StpApi.OperationEventType.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static StpApi.OperationEventType valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getNumber

          public final int getNumber()

      Specified by:
        `getNumber` in interface `com.google.protobuf.Internal.EnumLite`
      Specified by:
        `getNumber` in interface `com.google.protobuf.ProtocolMessageEnum`

    - #### valueOf

          public static StpApi.OperationEventType valueOf(int value)

    - #### internalGetValueMap

          public static com.google.protobuf.Internal.EnumLiteMap<StpApi.OperationEventType> internalGetValueMap()

    - #### getValueDescriptor

          public final com.google.protobuf.Descriptors.EnumValueDescriptor getValueDescriptor()

      Specified by:
        `getValueDescriptor` in interface `com.google.protobuf.ProtocolMessageEnum`

    - #### getDescriptorForType

          public final com.google.protobuf.Descriptors.EnumDescriptor getDescriptorForType()

      Specified by:
        `getDescriptorForType` in interface `com.google.protobuf.ProtocolMessageEnum`

    - #### getDescriptor

          public static final com.google.protobuf.Descriptors.EnumDescriptor getDescriptor()

    - #### valueOf

          public static StpApi.OperationEventType valueOf(com.google.protobuf.Descriptors.EnumValueDescriptor desc)